Package Details: ros-indigo-rqt-plot 0.3.13-1

Git Clone URL: https://aur.archlinux.org/ros-indigo-rqt-plot.git (read-only)
Package Base: ros-indigo-rqt-plot
Description: ROS - rqt_plot provides a GUI plugin visualizing numeric values in a 2D plot using different plotting backends.
Upstream URL: http://ros.org/wiki/rqt_plot
Licenses: BSD
Submitter: bchretien
Maintainer: None
Last Packager: bchretien
Votes: 3
Popularity: 0.000000
First Submitted: 2014-06-07 16:38
Last Updated: 2016-03-24 02:24

Latest Comments

mickael9 commented on 2015-01-11 19:43

I submitted a pull request to rqt_plot : https://github.com/ros-visualization/rqt_common_plugins/pull/299/files

bchretien commented on 2014-11-05 11:10

@nickoe: what you can try to do is set the QT_API environment variable to "pyqt". Check /usr/lib/python2.7/site-packages/matplotlib/backends/qt_compat.py to see what leads to your error. I haven't been able to reproduce this error for some reason, so you'll need to investigate it a bit.

nickoe commented on 2014-11-05 11:04

Hmm, it has been working i indigo at some time. But I will try to have a look at some point.

bchretien commented on 2014-11-05 10:57

@nickoe: yeah, the same error was reported on hydro (https://aur.archlinux.org/pkgbase/ros-hydro-rqt-plot/). I don't have the time to look into it, but feel free to investigate and I'll add any fix you may find to the PKGBUILD. You can report it upstream: https://github.com/ros-visualization/rqt_common_plugins

bchretien commented on 2014-11-05 10:50

@nickoe: yeah, the same error was reported on hydro (https://aur.archlinux.org/pkgbase/ros-hydro-rqt-plot/). I don't have the time to look into it, but fill free to investigate and I'll add any fix you may find to the PKGBUILD.

nickoe commented on 2014-11-05 07:51

Hello

Weh I run rqt_plot I get a runtime error, see http://dpaste.com/3SV6JZ8

I have tried rebuilding this package. Thank you for maintaining the ros packages.